Get information about a recipient
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId}
clientIdinteger<int64>Client ID
recipientIdstring<p>Recipient ID (usually the email address)</p>
recipientListIdinteger<int64>Recipient list ID
attributeNamesarray<p>Comma-separated names of the fields whose recipient data is to be retrieved. Example: "firstname,lastname". Note: You must use the internal names of the recipient list fields.
To retrieve the attribute names of a recipient list, use the getRecipientListAttributeNames operation.</p>
includeOptinDataboolean<p>Specify whether the opt-in data fields should be returned. Only applicable for opt-in list</p>
acceptstringGenerated from available response content types
200The recipient was retrieved successfully.
404The recipient could not be found. Ensure that the required parameters such as "recipientId" and "recipientListId" are correct and the recipient exists.
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/{recipientId} \
--header 'accept: application/json'